ARCRM(1)

NAME
arcrm - delete files

DESCRIPTION

  Usage:

    arcrm [OPTION...] url [url ...]

The arcrm command deletes files on grid storage elements.

OPTIONS

-h, --help
    Show help options

-f, --force
    remove logical file name registration even if not all physical instances were removed

-P, --listplugins
    list the available plugins (protocols supported)

-t, --timeout=seconds
    timeout in seconds (default 20)

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using both CA certificates configuration for Grid services (typically IGTF) and those provided by OpenSSL

--allowinsecureconnection
    allow TLS connection which failed verification

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcrm command deletes files on grid storage elements and indexing services. In the case of an indexing service url all physical instances of the file corresponding to the given locations are deleted and unregistered. If an indexing service url is given without locations, all physical instances and all meta-information about file are deleted. For more information on ARC URL syntax please read "Protocols, Uniform Resource Locators (URL) and Extensions Supported in ARC" [NORDUGRID-TECH-7]

If url starts from '@', the remaining argument is assumed to be a path to a local file containing a list of URLs, one per line. In this case arcrm performs like it were called with all those URLs as arguments.

Depending on the installed libraries (check with -P ), the following protocols may be used: file (file:// prefix may be omitted), http, https, httpg, ftp, gsiftp, srm, root.

ENVIRONMENT VARIABLES

X509_USER_PROXY
    The location of the user's Grid proxy file. Shouldn't be set unless the proxy is in a non-standard location.

ARC_LOCATION
    The location where ARC is installed can be specified by this variable. If not specified the install location will be determined from the path to the command being executed, and if this fails a WARNING will be given stating the location which will be used.

ARC_PLUGIN_PATH
    The location of ARC plugins can be specified by this variable. Multiple locations can be specified by separating them by : (; in Windows). The default location is $ARC_LOCATION/lib/arc (\ in Windows).

EXAMPLE
arcrm gsiftp://example.com/grid/file.dat

NOTES
Lack of recursion is a feature.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccp(1), arcls(1), arcmkdir(1), arcrename(1)